<?php

namespace FiloBlu\Popup\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
  const CUSTOM_MEDIA_PATH = "filoblu/popup";

  protected $_storeManager;
  protected $_popupFactory;
  protected $_dir;


  public function __construct(
    \Magento\Store\Model\StoreManagerInterface $storeManager,
    \Magento\Framework\Filesystem\DirectoryList $dir,
    \FiloBlu\Popup\Model\PopupFactory $popupFactory
  ){
      $this->_storeManager = $storeManager;
      $this->_popupFactory = $popupFactory;
      $this->_dir = $dir;
  }

  public function getMediaDirectory()
  {
    return $this->_dir->getPath('media') ."/". self::CUSTOM_MEDIA_PATH . "/" ;
  }

  public function getMediaTmpDirectory()
  {
    return $this->_dir->getPath('media') . '/tmp/';
  }

  public function getImageUrl($_filename)
  {
    return $this->_storeManager->getStore()->getBaseUrl(
        \Magento\Framework\UrlInterface::URL_TYPE_MEDIA
    ) . self::CUSTOM_MEDIA_PATH . "/".$_filename;
  }

}
